// Default values for twister.inc by Peter Popov

// file version 0.9b

// Global variables
//----------------------------------------------------------------------

// number of segments
#ifndef (twister_accuracy)              #declare twister_accuracy= 250;              #end

// use any positive number for CW, any negative for CCW; 0 gives an error
#ifndef (twister_direction)             #declare twister_direction= 1;               #end

// not tested yet; 0 is none, 1 is a box, 2 is a cylinder
#ifndef (twister_bounding_type)         #declare twister_bounding_type= 0;           #end

// u-v maps twister_texture along the length of the twister; it assumes
// twister_texture is oriented along y
#ifndef (use_uv_mapping)                #declare use_uv_mapping= true;               #end

// the angle the texture gets twisted along the total length of the twister
#ifndef (texture_twist_angle)           #declare texture_twist_angle=0;              #end

// if you want to generate a part of the twister
#ifndef (twister_start_clock)           #declare twister_start_clock=0;              #end
#ifndef (twister_end_clock)             #declare twister_end_clock=1;                #end

// The following variables are used in R_DEFAULT
// The thickness of the twister is a harmonic oscillator function

#ifndef (element_radius)                #declare element_radius= 5;                  #end
#ifndef (element_radius_frequency)      #declare element_radius_frequency= 0;        #end
#ifndef (element_radius_phase)          #declare element_radius_phase= 0;            #end
#ifndef (element_radius_amplitude)      #declare element_radius_amplitude= 0;        #end

// The following variables are used in E_DEFAULT and A_DEFAULT

// The twister height (if density is unvaried)
#ifndef (twister_height)                #declare twister_height = 40;                #end

// The sizes of the twister in the x and z directions 
// are harmonic oscillator functions too
#ifndef (radius_x)                      #declare radius_x = 20;                      #end
#ifndef (radius_x_frequency)            #declare radius_x_frequency = 0;             #end
#ifndef (radius_x_phase)                #declare radius_x_phase = 0;                 #end
#ifndef (radius_x_amplitude)            #declare radius_x_amplitude = 0;             #end
#ifndef (radius_z)                      #declare radius_z= 20;                       #end
#ifndef (radius_z_frequency)            #declare radius_z_frequency= 0;              #end
#ifndef (radius_z_phase)                #declare radius_z_phase= 0;                  #end
#ifndef (radius_z_amplitude)            #declare radius_z_amplitude= 0;              #end

// The density, i.e. number of turns for the given height
// It is also a harmonic oscillator function
#ifndef (twister_density)               #declare twister_density= 6;                 #end
#ifndef (twister_density_frequency)     #declare twister_density_frequency= 0;       #end
#ifndef (twister_density_phase)         #declare twister_density_phase= 0;           #end
#ifndef (twister_density_amplitude)     #declare twister_density_amplitude= 0;       #end

#ifndef (twister_texture)
    #declare twister_texture =
    texture
    {
        pigment
        {   radial
            frequency 8
            color_map
            {
                [0,1 color Blue color Red]
            }
        }
    }
#end
